## apple-bleee 0.1.5

=== requirements.txt ===
bs4
fleep
Pillow
pybluez
requests
pycrypto
netifaces
prettytable
libarchive-c
ctypescrypto

=== debian/changelog ===
apple-bleee (0.1.5-0kali6) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Add patches for modern python

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 11 Nov 2025 09:59:13 +0700

apple-bleee (0.1.5-0kali5) kali-dev; urgency=medium

  [ Ben Wilson ]
  * New helper-script format
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Refresh patch
  * Add a patch to fix issue ModuleNotFoundError: No module named
    'utils.bluetooth_utils'

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 May 2022 09:39:24 +0200

apple-bleee (0.1.5-0kali4) kali-dev; urgency=medium

  * Add helper-script

 -- Ben Wilson <g0tmi1k@kali.org>  Sun, 07 Nov 2021 10:36:26 +0000

apple-bleee (0.1.5-0kali3) kali-dev; urgency=medium

  * Add patch to replace crypto with cryptodome

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 11 Feb 2021 10:16:05 +0700

apple-bleee (0.1.5-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with install file

  [ Arnaud Rebillout ]
  * Drop python3-crypto in favor of python3-pycryptodome

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 10 Feb 2021 23:51:25 +0700

apple-bleee (0.1.5-0kali1) kali-dev; urgency=medium

  * Initial release (see 6147)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Oct 2020 14:08:15 +0200

=== debian/control ===
Source: apple-bleee
Section: non-free/misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
Standards-Version: 4.5.0
Homepage: https://github.com/hexway/apple_bleee
Vcs-Browser: https://gitlab.com/kalilinux/packages/apple-bleee
Vcs-Git: https://gitlab.com/kalilinux/packages/apple-bleee.git

Package: apple-bleee
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-bluez,
         python3-bs4,
         python3-ctypescrypto,
         python3-fleep,
         python3-libarchive-c,
         python3-netifaces,
         python3-pil,
         python3-prettytable,
         python3-pycryptodome,
         python3-requests,
         kali-defaults,
Recommends: apache2,
            postgresql,
            owl,
            python3-psycopg2,
Description: scripts to show what an attacker get from Apple devices
 This package contains experimental scripts. They are PoCs that show what an
 attacker get from Apple devices if they sniff Bluetooth traffic.
 To use these scripts you will need a Bluetooth adapter for sending BLE
 messages and Wi-Fi card supporting active monitor mode with frame injection for
 communication using AWDL (AirDrop).

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_fixperms:
	dh_fixperms
	find debian/apple-bleee/usr/share/apple-bleee/npyscreen/ -type f -print0 | xargs -0 chmod 644

override_dh_installdocs:
	dh_installdocs
	mv debian/apple-bleee/usr/share/apple-bleee/hash2phone/README.md debian/apple-bleee/usr/share/doc/apple-bleee/README-hash2phone.md

=== debian/tests/control ===
Tests: runtest.sh
Depends: @, python3-psycopg2
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apple-bleee-$1.tar.gz%" \
   https://github.com/hexway/apple_bleee/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
